Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.pdf
Class Keyword

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.pdf.Token
          edu.harvard.hul.ois.jhove.module.pdf.StringValuedToken
              edu.harvard.hul.ois.jhove.module.pdf.Keyword

    public class Keyword

extends StringValuedToken

Class for Tokens which represent PDF keywords.

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.pdf.StringValuedToken
`_rawBytes, _value`

Constructor Summary
`Keyword()` Creates an instance of a Keyword

Method Summary

Methods inherited from class edu.harvard.hul.ois.jhove.module.pdf.StringValuedToken
`getRawBytes, getValue, setValue`

Methods inherited from class edu.harvard.hul.ois.jhove.module.pdf.Token
`isPdfACompliant, isSimpleToken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Keyword

    public Keyword()

  Creates an instance of a Keyword

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD